﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinGrid.DocumentExport;

namespace WinformsDoubleNumericEditor
{
    public partial class Form1 : Form
    {
        private List<Model> _events = new List<Model>();

        public Form1()
        {
            InitializeComponent(); 
            ultraGrid1.InitializeLayout += ultraGrid1_InitializeLayout; 
            InitializeGrid();
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Override.HeaderAppearance.FontData.Name = "SimSun";
            e.Layout.Override.CellAppearance.FontData.Name = "SimSun";
            e.Layout.Override.ActiveRowAppearance.FontData.Name = "SimSun";
            e.Layout.Override.EditCellAppearance.FontData.Name = "SimSun";
            e.Layout.Override.SelectedRowAppearance.FontData.Name = "SimSun";
        }

        private void InitializeGrid()
        {
            ultraGrid1.ContextMenu = null;

            var timeevent1 = new Model(2.36, "进样结果", 9.34);
            var timeevent2 = new Model(4.36, "进样结果", 96585);
            var timeevent3 = new Model(2.86, "进样结果", 21.3658);
            _events.Add(timeevent1);
            _events.Add(timeevent2);
            _events.Add(timeevent3);

            this.ultraGrid1.DataSource = _events;
            ultraGrid1.Rows.Refresh(RefreshRow.ReloadData);
          
           
        }


        private void button1_Click(object sender, EventArgs e)
        {
            using (var exporter = new UltraGridDocumentExporter())
            {
                exporter.Export(ultraGrid1, "D:\\ultragridExport.pdf", GridExportFileFormat.PDF);
            }
        }

        

    }
}
